#-*- coding:utf-8 -*-
from fabric import task, Connection
import os

host = '43.133.39.242'
user = 'ubuntu'
key_filename = '/Users/w/.ssh/id_rsa'



def clean():
    os.system('rm dist.zip')

def build():
    #os.system('npm run build:prod')
    os.system('zip -r dist.zip .')

@task
def deploy_html(c):

    conn = Connection("{}@{}".format(user, host), 
        connect_kwargs={"key_filename": key_filename}
    )
    clean()
    build()
    conn.put('dist.zip', '/tmp/tmpdata')
    with conn.cd('/var/www/html/dingpanmao_html'):
        conn.run('sudo cp /tmp/tmpdata/dist.zip .')
        conn.run('sudo unzip -o dist.zip')
        conn.run('sudo service apache2 reload')
    
   

if __name__ == '__main__':
    deploy_html('a')
